people: Get people updates

API: tvmaze.com:tvmaze-api
Endpoint: /updates/people
Response format: application/json
Auth: unknown
Method: GET
Last Status: 200
Latency: 192ms

Description

Returns a JSON object mapping person IDs to Unix timestamps of their last update. Use this for efficient caching and synchronization to only fetch changed records.

From spec: Returns people updated within the specified timeframe.

Usage Tips

- Returns large object with all person IDs - Compare timestamps to detect changes since last sync - Timestamps are Unix epoch in seconds

Parameters (1)

since (string, query, required)

Time period for updates

Constraints: {'enum': ['day', 'week', 'month']}

Examples (1)

Get last update timestamps for all people probe-gate

Demonstrates fetching update timestamps for efficient caching and synchronization

curl 'https://api.tvmaze.com/updates/people'
import requests

resp = requests.get("https://api.tvmaze.com/updates/people")
data = resp.json()
import zingu_apis

api = zingu_apis.api("tvmaze")
result = api.fetch("updates/people")

for item in result:
    print(item)
const resp = await fetch("https://api.tvmaze.com/updates/people");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 16:53:20.059329 200 192ms 2.0MB
2026-04-16 04:03:10.043860 200 281ms 2.0MB
2026-04-15 03:35:21.673532 200 199ms 2.0MB
2026-04-14 00:25:42.962953 200 170ms 2.0MB
2026-04-12 14:30:08.725538 200 130ms 2.0MB
2026-04-10 03:25:20.436671 200 168ms 2.0MB
2026-04-09 03:14:43.580216 200 163ms 2.0MB